/* pathman
  ~~~~~~~~~
  $Id: pathman.hpp,v 1.19 2001/12/06 16:32:00 reinhard Exp $

  Description:

  Todo:

  Bugs:

  created: 2000-03-09 Reinhard Pfau <Reinhard.Pfau@unix-ag.org>
  modified:

*/

#ifndef _PATHMAN_HPP_
#define _PATHMAN_HPP_

#include "string.hpp"

namespace PathManager {

  bool Init(String program="xtremes");

  String GetWorkPath();
  String GetSharedDataPath();
  String GetUserDataPath();

  bool AddSearchPath(const String& newPath, bool prepend=false);
  void DelSearchPath(const String& oldPath);

  String Resolv(String filename, bool cwdFirst=false);
  
}

#endif
